io.vertx.rxjava.ext.web.handler

## Class ResponseTimeHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.ResponseTimeHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ResponseTimeHandler
      extends Object
      implements Handler<RoutingContext>

  Handler which adds a header `x-response-time` in the response of matching requests containing the time taken in ms to process the request.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ResponseTimeHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseTimeHandler(Object delegate)`
    `ResponseTimeHandler(ResponseTimeHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseTimeHandler` | `create()` Create a handler
    `boolean` | `equals(Object o)`
    `ResponseTimeHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static ResponseTimeHandler` | `newInstance(ResponseTimeHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResponseTimeHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### ResponseTimeHandler

          public ResponseTimeHandler(ResponseTimeHandler delegate)

    - #### ResponseTimeHandler

          public ResponseTimeHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResponseTimeHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static ResponseTimeHandler create()

      Create a handler
      Returns:
        the handler

    - #### newInstance

          public static ResponseTimeHandler newInstance(ResponseTimeHandler arg)

Copyright © 2022 Eclipse. All rights reserved.